// creator  : weidu.exe (version 23100)
// argument : _GAMES5.DLG
// game		 : .
// source	 : ./override/_GAMES5.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_GAMES5~

IF ~RandomNum(3,1)
~ THEN BEGIN 0 // from:
  SAY #77124 /* ~A toss of the bones to make your fortune.  Double your money on a winning roll.~ */
  IF ~PartyGoldGT(0)
~ THEN REPLY #77106 /* ~Wager 1 gold.~ */ DO ~TakePartyGold(1)
~ GOTO 1
  IF ~PartyGoldGT(1)
~ THEN REPLY #77107 /* ~Wager 2 gold.~ */ DO ~TakePartyGold(2)
~ GOTO 2
  IF ~~ THEN REPLY #61551 /* ~No thanks.~ */ GOTO 4
  IF ~Global("X#QuaGames5","GLOBAL",0)
InParty("quayle")
InMyArea("quayle")
!StateCheck("quayle",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#QuaGames5","GLOBAL",1)~ EXTERN ~_QUAYLJ~ 33
END

IF ~~ THEN BEGIN 1 // from: 6.0 0.0
  SAY #77125 /* ~A winner!  You've doubled your coins! I take your 1 gold and give you 2.~ */
  IF ~~ THEN DO ~GiveGoldForce(2)
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 6.1 0.1
  SAY #77126 /* ~A winner!  You've doubled your coins! I take your 2 gold and give you 4.~ */
  IF ~~ THEN DO ~GiveGoldForce(4)
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 5.1 5.0
  SAY #77127 /* ~The Lady looks away and you lose!  Sorry.  Next!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 6.2 5.2 0.2
  SAY #77128 /* ~Step aside.  You're blocking the paying customers.~ */
  IF ~~ THEN EXIT
END

IF ~True()
~ THEN BEGIN 5 // from:
  SAY #77124 /* ~A toss of the bones to make your fortune.  Double your money on a winning roll.~ */
  IF ~PartyGoldGT(0)
~ THEN REPLY #77106 /* ~Wager 1 gold.~ */ DO ~TakePartyGold(1)
~ GOTO 3
  IF ~PartyGoldGT(1)
~ THEN REPLY #77107 /* ~Wager 2 gold.~ */ DO ~TakePartyGold(2)
~ GOTO 3
  IF ~~ THEN REPLY #61551 /* ~No thanks.~ */ GOTO 4
END

IF ~~ THEN BEGIN 6 // from:
  SAY #100849 /* ~Take the gnome's wise advice, <PRO_SIRMAAM>!~ */
  IF ~PartyGoldGT(0)
~ THEN REPLY #77106 /* ~Wager 1 gold.~ */ DO ~TakePartyGold(1)
~ GOTO 1
  IF ~PartyGoldGT(1)
~ THEN REPLY #77107 /* ~Wager 2 gold.~ */ DO ~TakePartyGold(2)
~ GOTO 2
  IF ~~ THEN REPLY #61551 /* ~No thanks.~ */ GOTO 4
END
